aboutsummaryrefslogtreecommitdiffstats
path: root/coin
diff options
context:
space:
mode:
authorLiang Qi <liang.qi@qt.io>2017-12-11 12:31:12 +0100
committerLiang Qi <liang.qi@qt.io>2017-12-11 12:31:12 +0100
commitc98db75188affe995e1131d6cce503ec277d9b94 (patch)
tree64d6ea6b4c3638c81adc7a5c6a77b601297d12a6 /coin
parent91df8a3a8f313dd9914ba9bd221ac6cdbf497f99 (diff)
parent63bda0c988cad19d3a1d6906fdf3e75af1ee84b0 (diff)
Merge remote-tracking branch 'origin/5.9.3' into 5.9
Diffstat (limited to 'coin')
-rw-r--r--coin/provisioning/common/cmake.ps13
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh63
2 files changed, 66 insertions, 0 deletions
diff --git a/coin/provisioning/common/cmake.ps1 b/coin/provisioning/common/cmake.ps1
index 1716467c..d7e26556 100644
--- a/coin/provisioning/common/cmake.ps1
+++ b/coin/provisioning/common/cmake.ps1
@@ -40,6 +40,9 @@ $zip = "c:\users\qt\downloads\cmake-" + $version + "-win32-x86.zip"
$officialurl = "https://cmake.org/files/v" + $majorminorversion + "/cmake-" + $version + "-win32-x86.zip"
$cachedurl = "\\ci-files01-hki.intra.qt.io\provisioning\cmake\cmake-" + $version + "-win32-x86.zip"
+echo "Removing old cmake"
+Remove-Item "C:\CMake" -Force -Recurse -ErrorAction SilentlyContinue
+
Download $officialurl $cachedurl $zip
Verify-Checksum $zip "541F6E7EFD228E46770B8631FFE57097576E4D4E"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh
new file mode 100755
index 00000000..6ae0f820
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh
@@ -0,0 +1,63 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+source "${BASH_SOURCE%/*}/../common/DownloadURL.sh"
+
+set -ex
+
+packageEpel="epel-release-latest-7.noarch.rpm"
+OfficialUrl="https://dl.fedoraproject.org/pub/epel/$packageEpel"
+CachedUrl="http://ci-files01-hki.intra.qt.io/input/redhat/$packageEpel"
+SHA1="5512b80e5b71f2370d8419fa16a0bc14c5edf854"
+
+DownloadURL $OfficialUrl $CachedUrl $SHA1 ./$packageEpel
+sudo rpm -Uvh $packageEpel
+sudo rm -f $packageEpel
+
+# install python3
+sudo yum install -y python34-devel
+
+# install pip3
+
+packagePip="get-pip.py"
+OfficialUrlPip="https://bootstrap.pypa.io/$packagePip"
+CachedUrlPip="http://ci-files01-hki.intra.qt.io/input/redhat/$packagePip"
+SHA1Pip="3d45cef22b043b2b333baa63abaa99544e9c031d"
+
+DownloadURL $OfficialUrlPip $CachedUrlPip $SHA1Pip ./$packagePip
+sudo python3 $packagePip
+sudo rm -f $packagePip
+sudo pip3 install virtualenv
+